function figuresize(width,height,ax)

% figuresize(width,height)
% Setzt die Fenstergre aller nachfolgenden Fenster auf 
% width x height in Zentimeter.
%
% figuresize(width,height,ax)
% Zustzlich: ax=[left,bottom,width,height] spezifiziert die Position 
% des Achsensystems in Prozent.
%
% figuresize()
% Es werden wieder die ursprnglichen Einstellungen von Matlab verwendet.
%
% Beispiel: figuresize(8,5,[0.2,0.2,0.6,0.6])
%

if (nargin==0)
    set(0,'defaultfigureunits','remove',...
        'defaultfigurepaperunits','remove',...
        'defaultfigureposition','remove',...
        'defaultfigurepaperposition','remove');
    set(0,'defaultaxesposition','remove')
else    
    set(0,'defaultfigureunits','cent',...
        'defaultfigurepaperunits','cent',...
        'defaultfigureposition',[5,5,width,height],...
        'defaultfigurepaperposition',[1,1,width,height]);
    if (nargin==3)
        set(0,'defaultaxesposition',ax)
    end 
end
